List Reddit votes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /reddit/{caseId}/profile/{redditId}/votes

Returns one page of upvotes and downvotes cast by a Reddit profile; filter by vote type (post or comment). On a case shared with opposing counsel, a profile the caller may not see returns an empty page. Returns 404 when the profile is not linked to the case.

Path parameters

  • caseId string Required
  • redditId string Required

Query parameters

  • page number

    Default value is 1.

  • perPage number

    Default value is 10.

  • skip number

    If skip/limit not provided, page/perPage will take precedence

  • limit number

    If skip/limit not provided, page/perPage will take precedence

  • sortOrder string

    Values are asc or desc. Default value is asc.

  • voteType string

    Filter by vote type: comment or post

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • total number Required
      • page number
      • perPage number
      • skip number
      • limit number
      • totalPages number Required
      • nextPage number | null Required
      • previousPage number | null Required
      • data array[object]
        Hide data attributes Show data attributes object
        • createdAt string(date-time) Required
        • updatedAt string(date-time) Required
        • id string Required
        • externalId string Required
        • direction string | null Required
        • voteType string Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /reddit/{caseId}/profile/{redditId}/votes
curl \
 --request GET 'http://api.example.com/reddit/{caseId}/profile/{redditId}/votes' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "total": 42,
    "page": 1,
    "perPage": 20,
    "skip": 0,
    "limit": 20,
    "totalPages": 3,
    "nextPage": 2,
    "previousPage": 42.0,
    "data": [
      {
        "createdAt": "2026-01-15T14:30:00.000Z",
        "updatedAt": "2026-01-15T14:30:00.000Z",
        "id": "507f1f77bcf86cd799439011",
        "externalId": "17abcde",
        "permalink": "https://www.reddit.com/r/legaladvice/comments/17abcde/question_about_a_lease/",
        "direction": "up",
        "voteType": "post"
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}